Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui
[Java] Class ConsoleSupport

    java.lang.Object
      groovy.ui.ConsoleSupport

    public abstract class ConsoleSupport

Base class for console

Authors:
  James Strachan

Version:
  \$Revision\$

Method Summary
`protected void` | `addStylesToDocument(javax.swing.JTextPane outputArea)`
`protected java.lang.Object` | `evaluate(java.lang.String text)`
`javax.swing.text.Style` | `getCommandStyle()`
`javax.swing.text.Style` | `getOutputStyle()`
`javax.swing.text.Style` | `getPromptStyle()`
`GroovyShell` | `getShell()`
`protected void` | `handleException(java.lang.String text, java.lang.Exception e)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addStylesToDocument

    protected void addStylesToDocument(javax.swing.JTextPane outputArea)

### evaluate

    protected java.lang.Object evaluate(java.lang.String text)

### getCommandStyle

    public javax.swing.text.Style getCommandStyle()

### getOutputStyle

    public javax.swing.text.Style getOutputStyle()

### getPromptStyle

    public javax.swing.text.Style getPromptStyle()

### getShell

    public GroovyShell getShell()

### handleException

    protected void handleException(java.lang.String text, java.lang.Exception e)

Groovy Documentation